#include <QMainWindow>
#include <QApplication>
#include <QFont>
#include <QRadioButton>

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);
  QMainWindow win;

  QWidget *mainWidget = new QWidget();
  mainWidget->setGeometry(0, 0, 400, 400);

  QWidget *tabWindow = new QWidget();

  QTabWidget *tabWidget = new QTabWidget();
  tabWidget->addTab(tabWindow, "My Tab title");
  tabWidget->setParent(mainWidget);

  tabWidget->setFont(QFont("Arial", 10));  // set small font size

  tabWidget->setStyleSheet("QTabBar::tab { font-size:17px; }");  // increase font size -> tab is not adjusted
  //tabWidget->setFont(QFont("Arial", 17));                          // increase font size -> tab is adjusted

  win.setCentralWidget(mainWidget);
  win.show();

  return app.exec();
}
